Legacy (v0)
List categories
List Fluid’s shared public category tree, ordered by position. Each root category nests its children in sub_categories, recursively. These are the platform-wide public categories, not the company’s own product categories. Requires a company admin Bearer token (admin user, company API token, or partner token) with the categories view permission. The response is a bare JSON array and is not paginated.
GET
/
api
/
categories
List categories
curl --request GET \
--url https://api.fluid.app/api/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/categories")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 1201,
"description": null,
"has_children": true,
"image_url": null,
"parent_id": null,
"position": 1,
"public": true,
"source_type": "product",
"sub_categories": [
{
"id": 1207,
"description": null,
"has_children": false,
"image_url": null,
"parent_id": 1201,
"position": 1,
"public": true,
"source_type": "product",
"sub_categories": [],
"title": "Paper"
},
{
"id": 1208,
"description": null,
"has_children": false,
"image_url": null,
"parent_id": 1201,
"position": 2,
"public": true,
"source_type": "product",
"sub_categories": [],
"title": "Desk Accessories"
}
],
"title": "Office Supplies"
},
{
"id": 1202,
"description": null,
"has_children": false,
"image_url": null,
"parent_id": null,
"position": 2,
"public": true,
"source_type": "product",
"sub_categories": [],
"title": "Home & Garden"
},
{
"id": 1203,
"description": null,
"has_children": false,
"image_url": null,
"parent_id": null,
"position": 3,
"public": true,
"source_type": "product",
"sub_categories": [],
"title": "Wellness"
}
]{
"message": "<string>"
}Response
Success
⌘I
List categories
curl --request GET \
--url https://api.fluid.app/api/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/categories"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/categories")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": 1201,
"description": null,
"has_children": true,
"image_url": null,
"parent_id": null,
"position": 1,
"public": true,
"source_type": "product",
"sub_categories": [
{
"id": 1207,
"description": null,
"has_children": false,
"image_url": null,
"parent_id": 1201,
"position": 1,
"public": true,
"source_type": "product",
"sub_categories": [],
"title": "Paper"
},
{
"id": 1208,
"description": null,
"has_children": false,
"image_url": null,
"parent_id": 1201,
"position": 2,
"public": true,
"source_type": "product",
"sub_categories": [],
"title": "Desk Accessories"
}
],
"title": "Office Supplies"
},
{
"id": 1202,
"description": null,
"has_children": false,
"image_url": null,
"parent_id": null,
"position": 2,
"public": true,
"source_type": "product",
"sub_categories": [],
"title": "Home & Garden"
},
{
"id": 1203,
"description": null,
"has_children": false,
"image_url": null,
"parent_id": null,
"position": 3,
"public": true,
"source_type": "product",
"sub_categories": [],
"title": "Wellness"
}
]{
"message": "<string>"
}